summaryrefslogtreecommitdiffstats
path: root/maven/projects/newt-main/pom.sh
diff options
context:
space:
mode:
Diffstat (limited to 'maven/projects/newt-main/pom.sh')
-rwxr-xr-xmaven/projects/newt-main/pom.sh93
1 files changed, 93 insertions, 0 deletions
diff --git a/maven/projects/newt-main/pom.sh b/maven/projects/newt-main/pom.sh
new file mode 100755
index 0000000..02a5f9d
--- /dev/null
+++ b/maven/projects/newt-main/pom.sh
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]
+then
+ echo "usage: version platforms+" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+PLATFORMS="$@"
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by newt-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>newt-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>NEWT (Atomics frontend)</name>
+ <description>Java™ Binding for the OpenGL® API (NEWT atomics frontend)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on newt, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ <classifier>event</classifier>
+ </dependency>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ <classifier>ogl</classifier>
+ </dependency>
+
+EOF
+
+for DRIVER in android bcm-old bcm-vc intelgdl kd linux osx win x11
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ <classifier>driver-${DRIVER}</classifier>
+ </dependency>
+EOF
+done
+
+echo
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat ../jogl/pom.in || exit 1
+cat <<EOF
+</project>
+EOF